#include <bits/stdc++.h>

using namespace std;

const int INTMX = 30000;
long long a[INTMX], b[INTMX];

bool provera(long long a, long long b)
{
    if(abs(a)<abs(b)) return true;
    return false;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    int t;
    cin>>t;

    for(int i=0; i<t; i++)
    {
        int n, brA=0, brB=0, brIST=0;
        cin>>n;
        bool da=true;

        for(int j=0; j<n; j++)
        {
            cin>>a[j];
            if(a[j]>0) brA++;
        }
        for(int j=0; j<n; j++)
        {
            cin>>b[j];
            if(b[j]>0) brB++;
        }

        sort(a, a+n, provera);
        sort(b, b+n, provera);

        for(int i=0; i<n; i++)
        {
            if(abs(a[i])!=abs(b[i]))
            {
                da=false;
                break;
            }
        }

        if(da) cout<<"DA\n";
        else cout<<"NE\n";
    }

}